# InferenceSessionFactory | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

### Hierarchy

- InferenceSessionFactory

## Index

### Methods

- create

## Methods

### create

- create(uri: string, options?: SessionOptions ): Promise< InferenceSession >
- create(buffer: ArrayBufferLike, options?: SessionOptions ): Promise< InferenceSession >
- create(buffer: ArrayBufferLike, byteOffset: number, byteLength?: number, options?: SessionOptions ): Promise< InferenceSession >
- create(buffer: Uint8Array, options?: SessionOptions ): Promise< InferenceSession >

- - Defined in inference-session.ts:341

  Create a new inference session and load model asynchronously from an ONNX model file.

  #### Parameters

  - ##### uri: string

    The URI or file path of the model to load.

  - ##### Optional options: SessionOptions

    specify configuration for creating a new inference session.

  #### Returns Promise< InferenceSession >

  A promise that resolves to an InferenceSession object.

- - Defined in inference-session.ts:350

  Create a new inference session and load model asynchronously from an array bufer.

  #### Parameters

  - ##### buffer: ArrayBufferLike

    An ArrayBuffer representation of an ONNX model.

  - ##### Optional options: SessionOptions

    specify configuration for creating a new inference session.

  #### Returns Promise< InferenceSession >

  A promise that resolves to an InferenceSession object.

- - Defined in inference-session.ts:361

  Create a new inference session and load model asynchronously from segment of an array bufer.

  #### Parameters

  - ##### buffer: ArrayBufferLike

    An ArrayBuffer representation of an ONNX model.

  - ##### byteOffset: number

    The beginning of the specified portion of the array buffer.

  - ##### Optional byteLength: number

    The length in bytes of the array buffer.

  - ##### Optional options: SessionOptions

    specify configuration for creating a new inference session.

  #### Returns Promise< InferenceSession >

  A promise that resolves to an InferenceSession object.

- - Defined in inference-session.ts:371

  Create a new inference session and load model asynchronously from a Uint8Array.

  #### Parameters

  - ##### buffer: Uint8Array

    A Uint8Array representation of an ONNX model.

  - ##### Optional options: SessionOptions

    specify configuration for creating a new inference session.

  #### Returns Promise< InferenceSession >

  A promise that resolves to an InferenceSession object.

Generated using TypeDoc